@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

echo ####### %0 #######

echo Installing package provider "NuGet" ...
powershell -command "Install-PackageProvider NuGet -Force"

echo Setting policy for "PSGallery" to "trusted" ...
powershell -command "Set-PSRepository PSGallery -InstallationPolicy Trusted"

echo Installing powershell package "PSWindowsUpdate" ...
powershell -command "Install-Module PSWindowsUpdate"
echo.

echo ####### %0 #######
pause
